> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/d1-v1-api/d1-v1-api-references/card-operations/inbound/register-and-view.md).

# Register and View

Register API

## Get card details

> This request is used by the issuer backend to request card details.

```json
{"openapi":"3.0.0","info":{"title":"Inbound Card API","version":"1.0"},"tags":[{"name":"Register and View","description":"Register API"}],"servers":[{"url":"https://api.d1.thalescloud.io/banking/v1","description":"Production server"},{"url":"https://api.d1-stg.thalescloud.io/banking/v1","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"consumerId":{"type":"string","description":"Unique identifier of the end user. ","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"accountId":{"type":"string","description":"Unique identifier of the account.","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"cardId":{"type":"string","description":"Unique identifier of the card.","minLength":1,"maxLength":48,"pattern":"[A-Za-z0-9_-]{1,48}"},"cardProductId":{"type":"string","description":"Unique identifier of the type of card (defined during the onboarding of D1)","minLength":1,"maxLength":48,"pattern":"[A-Za-z0-9_-]{1,48}"},"threeDSsupport":{"type":"boolean","description":"Determines if the card supports EMV 3-D Secure (3DS) flows."},"cardScheme":{"type":"string","description":"The card scheme","enum":["VISA","MASTERCARD","PAGOBANCOMAT","AMEX"]},"cardLast4":{"type":"string","pattern":"\\d{4}","description":"Last 4 digits of the PAN"},"cardExpiryDate":{"type":"string","description":"Expiry date of the card in MMYY format","pattern":"(0[1-9]|1[0-2])\\d{2}"},"cardState":{"description":"The state of the card.","type":"string","enum":["ACTIVE","INACTIVE"]},"creationDate":{"type":"string","title":"Creation date","description":"The time the ressource has been created.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD","minLength":1,"maxLength":64},"lastUpdate":{"type":"string","title":"Last update date","description":"The time the resource has been last updated.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD","minLength":1,"maxLength":64},"digitalCardId":{"type":"string","description":"Unique identifier of the digital card.","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"digitalCardState":{"type":"string","description":"The state of the digital card (token)\n\nN.B. Tokens in DELETED state are included only if the corresponding issuer onboarding flag (i.e. manageDeletedToken) is set.\n","enum":["ACTIVE","INACTIVE","DELETED","DEPLOYMENT_ONGOING","PENDING_ACTIVATION"],"title":"digitalCardState"},"walletRecommendation":{"type":"string","description":"Wallet/Digital Card Requestor colour recommended during the card tokenization request\n\nPlease note that in certain situations a recommendation might be not provided by the wallet.","enum":["NOT_APPLICABLE","GREEN","YELLOW","ORANGE","RED"]},"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}},"responses":{"BadRequest":{"description":"Bad Request, Invalid request URI or header, or unsupported non-standard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Unauthorized":{"description":"The provided Authorization header is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Forbidden":{"description":"Forbidden action, check the state of the linked end user (consumer) or account or digital card","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"NotFound":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}}}},"paths":{"/issuers/{issuerId}/cards/{cardId}":{"get":{"description":"This request is used by the issuer backend to request card details.","responses":{"200":{"description":"Successful get card details","content":{"application/json":{"schema":{"type":"object","properties":{"consumerId":{"$ref":"#/components/schemas/consumerId"},"accountIds":{"type":"array","description":"List of accountIds associated to the card.\naccountId pattern : `[A-Za-z0-9_-]{1,64}`\n<br/>**Note**: accountIds is deprecated. This optional response parameter will no more be returned.","deprecated":true,"items":{"$ref":"#/components/schemas/accountId"}},"cardId":{"$ref":"#/components/schemas/cardId"},"cardProductId":{"$ref":"#/components/schemas/cardProductId"},"threeDSsupport":{"$ref":"#/components/schemas/threeDSsupport"},"scheme":{"$ref":"#/components/schemas/cardScheme"},"panSuffix":{"$ref":"#/components/schemas/cardLast4"},"exp":{"$ref":"#/components/schemas/cardExpiryDate"},"state":{"$ref":"#/components/schemas/cardState"},"creationTime":{"$ref":"#/components/schemas/creationDate"},"lastUpdateTime":{"$ref":"#/components/schemas/lastUpdate"},"digitalCards":{"type":"array","description":"List of digital cards associated to the card. \n**Warning**: this digitalCards list will never be filled if the issuer is not configured with **D1 Tokenization** service. ","items":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/digitalCardId"},"state":{"$ref":"#/components/schemas/digitalCardState"},"recommendation":{"$ref":"#/components/schemas/walletRecommendation"}}}}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalServerError"}},"summary":"Get card details","operationId":"getCard","parameters":[],"tags":["Register and View"]}}}}
```

## Register card

> This request is used by the issuer backend to request the registration of a card that has been already created by the issuer without involving D1.\<br/>This allows D1 to make this card eligible for card tokenization through the D1 SDK.\<br/>D1 manages to retrieve useful card information from the Issuing Processor CMS based on the cardId provided.

```json
{"openapi":"3.0.0","info":{"title":"Inbound Card API","version":"1.0"},"tags":[{"name":"Register and View","description":"Register API"}],"servers":[{"url":"https://api.d1.thalescloud.io/banking/v1","description":"Production server"},{"url":"https://api.d1-stg.thalescloud.io/banking/v1","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"consumerId":{"type":"string","description":"Unique identifier of the end user. ","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"cardProductId":{"type":"string","description":"Unique identifier of the type of card (defined during the onboarding of D1)","minLength":1,"maxLength":48,"pattern":"[A-Za-z0-9_-]{1,48}"},"cardState":{"description":"The state of the card.","type":"string","enum":["ACTIVE","INACTIVE"]},"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}},"responses":{"BadRequest":{"description":"Bad Request, Invalid request URI or header, or unsupported non-standard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Unauthorized":{"description":"The provided Authorization header is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}}}},"paths":{"/issuers/{issuerId}/cards/{cardId}":{"put":{"description":"This request is used by the issuer backend to request the registration of a card that has been already created by the issuer without involving D1.<br/>This allows D1 to make this card eligible for card tokenization through the D1 SDK.<br/>D1 manages to retrieve useful card information from the Issuing Processor CMS based on the cardId provided.","requestBody":{"content":{"application/json":{"schema":{"properties":{"consumerId":{"$ref":"#/components/schemas/consumerId"},"cardProductId":{"$ref":"#/components/schemas/cardProductId"},"accountId":{"type":"string","description":"Unique identifier of the account. <br/>**Note**: accountId is deprecated. You can still pass it but it will be ignored.","deprecated":true,"minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"state":{"$ref":"#/components/schemas/cardState"}},"required":["consumerId","cardProductId","state"],"type":"object"}}}},"responses":{"204":{"description":"Successful card registration"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"description":"Forbidden action. At least one of the registration could not be done. <li>Check the state of the linked end user (consumer).</li><li>Check that the cardId does not belong to an existing end user (consumer).</li><li>Check that the pair \"PAN and EXP\" was not already registered with another cardId.</li><li>Check that the cardId was not already registered with different data.</li>","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"404":{"description":"Resource not found Unknown issuerId or consumerId or accountId.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"500":{"$ref":"#/components/responses/InternalServerError"}},"summary":"Register card","operationId":"registerCard","tags":["Register and View"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/d1-v1-api/d1-v1-api-references/card-operations/inbound/register-and-view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
